org.wso2.carbon.device.mgt.mobile.windows.api.services.impl

## Class DeviceManagementAdminServiceImpl

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.impl.DeviceManagementAdminServiceImpl

- All Implemented Interfaces:
    DeviceManagementAdminService

      public class DeviceManagementAdminServiceImpl
      extends Object
      implements DeviceManagementAdminService

  Implementation class of operations interface. Each method in this class receives the operations comes via UI and persists those in the correct format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceManagementAdminServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `disenroll(String acceptHeader, List<String> deviceIDs)` REST end point for device dis-enrollment.
    `javax.ws.rs.core.Response` | `getDeviceLocation(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `lock(String acceptHeader, List<String> deviceIDs)` REST endpoint for the Device Lock operation
    `javax.ws.rs.core.Response` | `lockReset(String acceptHeader, List<String> deviceIDs)` REST endpoint for the device updateLockOperation reset.
    `javax.ws.rs.core.Response` | `rebootDevice(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `ring(String acceptHeader, List<String> deviceIDs)` REST end point for the device ring.
    `javax.ws.rs.core.Response` | `wipe(String acceptHeader, List<String> deviceids)` REST Endpoint for the Device wipe.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceManagementAdminServiceImpl

          public DeviceManagementAdminServiceImpl()

  - ### Method Detail

    - #### lock

          public javax.ws.rs.core.Response lock(@HeaderParam(value="Accept")
                                       String acceptHeader,
                                       List<String> deviceIDs)
                                         throws WindowsDeviceEnrolmentException

      REST endpoint for the Device Lock operation
      Specified by:
        `lock` in interface `DeviceManagementAdminService`
      Parameters:
        `acceptHeader` - header value of the request POST message.
        `deviceIDs` - list of device ids to be add device updateLockOperation operation.
      Returns:
        Response object for client.
      Throws:
        `WindowsDeviceEnrolmentException`

    - #### disenroll

          public javax.ws.rs.core.Response disenroll(@HeaderParam(value="Accept")
                                            String acceptHeader,
                                            List<String> deviceIDs)
                                              throws WindowsDeviceEnrolmentException

      REST end point for device dis-enrollment.
      Specified by:
        `disenroll` in interface `DeviceManagementAdminService`
      Parameters:
        `acceptHeader` - POST message header value.
        `deviceIDs` - device ids to be dis-enrolled.
      Returns:
        Response object to the client.
      Throws:
        `WindowsDeviceEnrolmentException`

    - #### wipe

          public javax.ws.rs.core.Response wipe(@HeaderParam(value="Accept")
                                       String acceptHeader,
                                       List<String> deviceids)
                                         throws WindowsDeviceEnrolmentException

      REST Endpoint for the Device wipe.
      Specified by:
        `wipe` in interface `DeviceManagementAdminService`
      Parameters:
        `acceptHeader` - POST message header value.
        `deviceids` - device ids to be wiped.
      Returns:
        Response object for the client.
      Throws:
        `WindowsDeviceEnrolmentException`

    - #### ring

          public javax.ws.rs.core.Response ring(@HeaderParam(value="Accept")
                                       String acceptHeader,
                                       List<String> deviceIDs)
                                         throws WindowsDeviceEnrolmentException

      REST end point for the device ring.
      Specified by:
        `ring` in interface `DeviceManagementAdminService`
      Parameters:
        `acceptHeader` - post message header value.
        `deviceIDs` - device ids to be ring.
      Returns:
        Response object for the client.
      Throws:
        `WindowsDeviceEnrolmentException`

    - #### lockReset

          public javax.ws.rs.core.Response lockReset(@HeaderParam(value="Accept")
                                            String acceptHeader,
                                            List<String> deviceIDs)
                                              throws WindowsDeviceEnrolmentException

      REST endpoint for the device updateLockOperation reset. Lock reset have to be done, when device user does not set PIN for the updateLockOperation screen. Admin set updateLockOperation operation for the specific device,If the device is in above scenario, admin will be notified.since admin have to set updateLockOperation reset operation to the device so that automatically generate PIN value for the updateLockOperation screen.
      Specified by:
        `lockReset` in interface `DeviceManagementAdminService`
      Parameters:
        `acceptHeader` - POST message header value.
        `deviceIDs` - Device ids to be updateLockOperation reset.
      Returns:
        Response object for the client.
      Throws:
        `WindowsDeviceEnrolmentException`

    - #### getDeviceLocation

          public javax.ws.rs.core.Response getDeviceLocation(List<String> deviceIDs)

      Specified by:
        `getDeviceLocation` in interface `DeviceManagementAdminService`

    - #### rebootDevice

          public javax.ws.rs.core.Response rebootDevice(List<String> deviceIDs)

      Specified by:
        `rebootDevice` in interface `DeviceManagementAdminService`

Copyright © 2017 WSO2. All rights reserved.